/* This file can be redistributed and used under GNU Library General Public
 * License. (c) 2000 Micha Moskal <malekith@topnet.pl>. 
 * $Id: fileselector.h,v 1.2 2000/09/09 17:59:14 malekith Exp $ */

#ifndef _V_FILESELECTOR_H
#define _V_FILESELECTOR_H

#include <v/listbox.h>

class FileListItem : public ListItem {
public:
	void *user_data;
	virtual void execute(ListBox *);
	FileListItem(const String &c, void *ud = 0) 
		: user_data(ud) { caption = c; }
};


class FileSelector : public Dialog {
protected:
	ListBox *lbox;
	InputLine *iline;
	virtual void execute_file(String file);
	virtual void create_listing();
	virtual bool check_file(String f) { file = f; return true; }
	virtual void new_filter(String);
public:
	String file;
	String wd;
	String filter;
	FileSelector();
	virtual void handle_event(Event &e);
	virtual int execute();
};

#endif /* _V_FILESELECTOR_H */
