/* This file can be redistributed and used under GNU Library General Public
 * License. (c) 2000 Micha Moskal <malekith@topnet.pl>. 
 * $Id: re.h,v 1.2 2000/09/09 17:59:14 malekith Exp $ */

#ifndef _V_REGEX_H
#define _V_REGEX_H

#include <v/utils.h>

#include <sys/types.h>
#include <regex.h>

XCPT(XRegex, XRecover);

class Regex {
	regex_t *handle;
	regmatch_t *pmatch;
	String pattern;
	String buf;
	
	// these arn't defined ...
	Regex(const Regex&) { }
	void operator = (const Regex&) { }
public:
	bool icase, nosub;
	void compile();
	bool execute(const String &s);
	void set(const String &p) { pattern = p; compile(); }
	String r(int n);
	Regex();
	Regex(const String &ref);
	Regex(const char *r);
	~Regex();
};
#endif /* _V_REGEX_H */
